$blockHeight: 310px;
$blockPadding: 30px;
$blockMargin: 40px;
$blockHeaderHeight: 56px;
$buttonSize: 48px;
$blockBorderRadius: 4px;
$navigationMenuWidth: 272px;
$blockBackgroundColor: #cbcfd8;

.block-container {
    width: 100%;
    background-color: $blockBackgroundColor;
    border-radius: $blockBorderRadius;
    margin-bottom: $blockMargin;
    box-shadow: -2px 6px 4px -4px rgba(0, 0, 0, .2);

    .block-header {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        cursor: move;
        padding: 4px 8px;
        border-top-left-radius: $blockBorderRadius;
        border-top-right-radius: $blockBorderRadius;
        position: relative;

        .block-header-item {
          display: flex;
          flex-direction: row;
          justify-content: center;
        }
        .block-header-item > .draggable {
          display: none;
        }
        .block-header-item span.ic-add.clickable {
          ul.block_add_items_list {
            position: absolute;
            top: 56px;
            right: 0px;
            border-radius: 0 0 4px 4px;
            width: 100%;
            z-index: 1000;
            max-width: 360px;
            cursor: default;
            overflow: hidden;
            max-height: 0px;
            transition: max-height 0.5s ease;
            li {
              margin: 8px;
              padding: 0;
              display: flex;
              border-radius: 4px;
              height: 48px;
              justify-content: center;
              align-items: center;
              background-color: rgb(39, 162, 206);
              text-transform: capitalize;
              font-weight: 500;
              font-size: 16px;
              color: rgb(67, 74, 84);
              cursor: pointer;
            }
            li:hover,
            li:active {
              background-color: white;
            }
          }
        }
      .block-header-item span.ic-add.clickable.opened {
        background-image: url(/assets/svg/icon-add-pressed.svg);
        ul.block_add_items_list {
          max-height: 344px;
        }
      }

        .block-header-title-input {
            font-family: $Rubik-Font;
            font-weight: 500;
            font-size: 12px;
            color: rgba(67,74,84,0.80);

            width: 100%;
            padding: 10px;
            margin-left: 5px;
            border: none;
            cursor: pointer;
            text-overflow: ellipsis;
            background-color: $blockBackgroundColor;
            &:focus {
              outline: none;
            }
        }

        input[type="text"].focused {
            border-bottom: 2px solid darken($blockBackgroundColor, 15);
        }

        button {
          width: $buttonSize;
          height: $buttonSize;
          border: none;
          box-shadow: none;
          background-color: transparent;

          &:focus {
            outline: none;
          }

          img { margin: -22px; }

          .block-header-button {
            margin: -26px;
            width: 32px;
            height: 32px;
            display: block;
          }

          .delete {
            background-image: url('/assets/svg/icon-delete-inactive.svg');

            &:hover, &:active {
               background-image: url('/assets/svg/icon-delete-active.svg');
            }
          }

          .drag {
            margin-top: -22px;
            background-size: 140% 140%;
            background-image: url('/assets/svg/icon-arrows.svg');

            &:hover {
              opacity: 0.5;
            }
          }

          .add {
            background-image: url('/assets/svg/icon-add-item-inactive.svg');

            &:hover, &:active {
               background-image: url('/assets/svg/icon-add-item-active.svg');
            }
          }

          .add-active {
             background-image: url('/assets/svg/icon-add-item-active.svg');
          }

        }

        div:last-child {

           ul {
               background-color: #4c515c;
               font-size: 15px;
               text-align: center;
               width: $navigationMenuWidth;
               padding: 0px;

               li {
                   background-color: #289ccf;
                   margin: 8px;
                   padding: 8px 0px 4px 0px;
                   border-radius: 4px;

                   label {
                      cursor: pointer;
                      color: #4c515c;

                      &:hover {
                          color: black;
                      }
                   }

                   a:focus {
                      outline: none;
                   }
               }
           }
        }
    }
}



@media (min-width: 865px) {
   .block-container {
       .block-header {
         .block-header-item span.ic-add.clickable {
           ul.block_add_items_list {
             max-width: 280px;
           }
         }
         .block-header-item > .draggable {
           display: flex;
         }
         .block-header-title-input {
           font-size: 16px;
           color: rgba(67,74,84,0.80);
         }
       }
   }
}

